import { Box, Flex, Skeleton, Text } from "@chakra-ui/react";
import { CProjectContract } from "@lib/contracts/project.contracts";

export default function ProjectTile(props: { project: CProjectContract["Project"] }) {
  return (
    <Box w="210px" h="210px" bg="background.paper" _hover={{ opacity: ".9", cursor: "pointer" }} borderRadius=".5rem">
      <Text>{props.project.name ?? props.project.slug}</Text>
    </Box>
  );
}

export function ProjectTileSkeleton() {
  return (
    <Skeleton w="210px" h="210px" bg="background.paper" _hover={{ opacity: ".9", cursor: "pointer" }} borderRadius=".5rem" />
  );
}
