import { useAuth } from "@src/ctx/AuthContext";
import { PROJECT_CONTEXT_INITIAL_STATE, useProjectContext } from "@src/ctx/ProjectContext";
import { useEffect } from "react";
import { useSearchParams } from "react-router-dom";

export default function useInitHooks() {
  const { authInit, auth } = useAuth();
  const { setProjectId } = useProjectContext();
  const [search] = useSearchParams();

  useEffect(function initHooks() {
    authInit();
  }, []);

  useEffect(
    function authInitHooks() {
      if (!auth) return;
    },
    [auth],
  );

  useEffect(
    function paramHooks() {
      projectIdParamHook();
    },
    [search],
  );

  async function nonAuthInitHooks() {}

  async function authInitHooks() {}

  function projectIdParamHook() {
    const projectId = !!search.get("projectId") ? (search.get("projectId") as string) : PROJECT_CONTEXT_INITIAL_STATE.projectId;
    setProjectId(projectId);
  }
}
